package com.ruoyi.system.service;


import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SysCar;
import com.ruoyi.system.mapper.SysCarMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@DataSource(value = DataSourceType.SLAVE)
public class SysCarService {
    @Resource
    public SysCarMapper sysCarMapper;

    public List<SysCar> selectcontrollerId(){
        return sysCarMapper.selectcontrollerId();
    }
    public void updatecarposition(String carPosition,String carId){
        sysCarMapper.updatecarposition(carPosition, carId);
    }
    public List<SysCar> selectcarall(){
        return sysCarMapper.selectcarall();
    }
}
